Bug 830320 - Evolution silently fails to send email through Exchange
Evolution silently fails to send email through Exchange
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution-exchange (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 16:23 EDT by Casey Peel
Modified: 2012-06-12 16:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-11 06:15:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 677845 None None None 2012-06-11 06:15:56 EDT

  None (edit)
Description Casey Peel 2012-06-08 16:23:37 EDT
Description of problem:
Evolution silently fails to send email through an Exchange server. By all
appearances it sends, but no recipient receives an email.


Version-Release number of selected component (if applicable):
$ rpm -qa | grep evolution
evolution-exchange-3.4.1-1.fc17.x86_64
evolution-data-server-3.4.2-1.fc17.x86_64
evolution-NetworkManager-3.4.2-1.fc17.x86_64
evolution-3.4.2-1.fc17.x86_64
MS Exchange 2003


How reproducible:
100%, sadly.


Steps to Reproduce:
1. Configure Evolution to an Exchange 2003 server
2. Compose email
3. Click send

  
Actual results:
Email appears sent successfully (email composition window closes, mail appears
in Sent Items folder).

If Evolution is started thusly:
$ E2K_DEBUG=5 evolution

The following messages appear when the email is sent:
(evolution:26229): camel-exchange-provider-CRITICAL **: camel_exchange_utils_send_message: assertion `ed != NULL' failed

(evolution:26229): camel-WARNING **: CamelExchangeTransport::send_to_sync() reported failure without setting its GError


Expected results:
The email actually gets sent.


Additional info:
Given the silent nature of the failure, I recommend it get considered for
higher severity. Took me a week before I discovered that *none* of the emails
that I sent actually were delivered. Receiving emails works fine.

Confirmed there is no problem sending email from this account using a real
Outlook client.

No problems with this with the version of Evolution that came with F14.

Another instance seen here:
  http://forums.fedoraforum.org/showthread.php?t=280362
Comment 1 Milan Crha 2012-06-11 06:15:56 EDT
Thanks for a bug report. I moved this upstream as [1]. Please see [1] for any further updates. If possible, please CC yourself there, in case upstream developers will have additional questions.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=677845
Comment 2 Milan Crha 2012-06-11 11:04:33 EDT
I built package with the upstream patch for you at:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4150828

Feel free to install the package, untill 3.4.3 of evolution-exchange is out (planned for June 18th).
Comment 3 Casey Peel 2012-06-12 16:50:39 EDT
(In reply to comment #2)
> I built package with the upstream patch for you at:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4150828

Upstream patch fixed this nicely. Thanks!

Note You need to log in before you can comment on or make changes to this bug.